package com.cool.store.service.impl.workflow;

import com.cool.store.enums.WorkflowStageEnum;
import com.cool.store.request.CloseFollowRequest;
import com.cool.store.request.TransferInvestmentManagerRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author zhangchenbiao
 * @FileName: ReservationWorkFlowService
 * @Description:预约面试
 * @date 2023-06-26 21:23
 */
@Slf4j
@Service
public class ReservationWorkFlowService extends WorkFlowBaseService {

    @Override
    public WorkflowStageEnum getWorkFlowStage() {
        return WorkflowStageEnum.RESERVATION;
    }

    @Override
    public void endProcess(CloseFollowRequest request) {
        log.info("预约面试结束~");
    }

    @Override
    public void transferInvestmentManager(TransferInvestmentManagerRequest request) {
        log.info("转让招商经理~");
    }
}
